Rentals API
Get rental
Using the UUID of a rental, do a GET request to learn more about that specific rental.
GET
https://api.airgarage.com/rentals/{uuid}Path parameters
| Name | Type | Description |
|---|---|---|
uuidRequired | string | UUID of the rental, returned when it was created. |
Headers
| Name | Type | Description |
|---|---|---|
X-Api-KeyRequired | string | Your access token. |
curl https://api.airgarage.com/rentals/hT4kQnW2xLmZ8vRbYc3dFa/ \
-H "X-Api-Key: YOUR_API_KEY"{
"uuid": "hT4kQnW2xLmZ8vRbYc3dFa",
"spot_uuid": "dB2YV5Ngco4f7uKjdnGqgQ",
"spot_name": "Church of All Saints",
"renter_email": "driver@example.com",
"rental_type": "monthly",
"start_date": 1625167463,
"end_date": null,
"cancelled_date": null,
"source": "YourIntegration",
"cars_detail": [
{ "pk": 812, "plate": "XY3BAC", "state": "CA", "country": "US" },
{ "pk": 813, "plate": "MR09E3", "state": "CA", "country": "US" }
],
...
}